# AmoebaStretchBendForce Class Reference

This class implements the Amoeba stretch-bend interaction. More...

Inheritance diagram for AmoebaStretchBendForce:

List of all members.

## Public Member Functions

def | getNumStretchBends
| getNumStretchBends(self) -> int
def | addStretchBend
| addStretchBend(self, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k) -> int
def | getStretchBendParameters
| getStretchBendParameters(self, int index)
def | setStretchBendParameters
| setStretchBendParameters(self, int index, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> AmoebaStretchBendForce __init__(self, AmoebaStretchBendForce other) -> AmoebaStretchBendForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements the Amoeba stretch-bend interaction.

To use it, create a StretchBendForce object then call addStretchBend() once for each stretch-bend. After a stretch-bend has been added, you can modify its force field parameters by calling setStretchBendParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> AmoebaStretchBendForce __init__(self, AmoebaStretchBendForce other) -> AmoebaStretchBendForce

Create an AmoebaStretchBendForce.

def addStretchBend | ( |  | self,
|  |  | args |
| ) |  |  |

addStretchBend(self, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k) -> int

Add a stretch-bend term to the force field.

Parameters:

  | particle1 | the index of the first particle connected by the stretch-bend
  | particle2 | the index of the second particle connected by the stretch-bend
  | particle3 | the index of the third particle connected by the stretch-bend
  | lengthAB | the equilibrium length of the stretch-bend in bond ab [particle1, particle2], measured in nm
  | lengthCB | the equilibrium length of the stretch-bend in bond cb [particle3, particle2], measured in nm
  | angle | the equilibrium angle in radians
  | k | the force constant for the stretch-bend

def getNumStretchBends | ( |  | self | ) |

getNumStretchBends(self) -> int

Get the number of stretch-bend terms in the potential function

def getStretchBendParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getStretchBendParameters(self, int index)

Get the force field parameters for a stretch-bend term.

Parameters:

  | index | the index of the stretch-bend for which to get parameters
  | particle1 | the index of the first particle connected by the stretch-bend
  | particle2 | the index of the second particle connected by the stretch-bend
  | particle3 | the index of the third particle connected by the stretch-bend
  | lengthAB | the equilibrium length of the stretch-bend in bond ab [particle1, particle2], measured in nm
  | lengthCB | the equilibrium length of the stretch-bend in bond cb [particle3, particle2], measured in nm
  | angle | the equilibrium angle in radians
  | k | the force constant for the stretch-bend

def setStretchBendParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setStretchBendParameters(self, int index, int particle1, int particle2, int particle3, double lengthAB, double lengthCB, double angle, double k)

Set the force field parameters for a stretch-bend term.

Parameters:

  | index | the index of the stretch-bend for which to set parameters
  | particle1 | the index of the first particle connected by the stretch-bend
  | particle2 | the index of the second particle connected by the stretch-bend
  | particle3 | the index of the third particle connected by the stretch-bend
  | lengthAB | the equilibrium length of the stretch-bend in bond ab [particle1, particle2], measured in nm
  | lengthCB | the equilibrium length of the stretch-bend in bond cb [particle3, particle2], measured in nm
  | angle | the equilibrium angle in radians
  | k | the force constant for the stretch-bend

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-stretch-bend term parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setStretchBendParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-stretch-bend term parameters. The set of particles involved in a term cannot be changed, nor can new terms be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py